%define upstream_name    Test-Requires
%define upstream_version 0.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Checks to see if the module can be loaded
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Test::Builder::Module)
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%description
Test::Requires checks to see if the module can be loaded.

If this fails rather than failing tests this *skips all tests*.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.100.0-3.mga6
+ Revision: 1034613
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.100.0-2.mga6
+ Revision: 968880
- Mageia 6 Mass Rebuild

* Thu Jul 23 2015 sander85 <sander85> 0.100.0-1.mga6
+ Revision: 856471
- update to 0.10

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-3.mga5
+ Revision: 746957
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.80.0-2.mga5
+ Revision: 686529
- Mageia 5 Mass Rebuild

* Wed Jul 16 2014 sander85 <sander85> 0.80.0-1.mga5
+ Revision: 653218
- update to 0.08

* Sat Oct 19 2013 umeabot <umeabot> 0.70.0-2.mga4
+ Revision: 530828
- Mageia 4 Mass Rebuild

* Sun Jul 28 2013 sander85 <sander85> 0.70.0-1.mga4
+ Revision: 460005
- update to 0.07

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 373757
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 19 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 24456
- fix specs
- imported package perl-Test-Requires

